### Method

# Ide Config get_run_opts

#### Declaration

    const gchar*
    ide_config_get_run_opts (
      IdeConfig* self
    )

#### Description

Gets the command line options to use when running the target application. The result should be parsed with `g_shell_parse_argv()` to convert the run options to an array suitable for use in argv.

Available since: | 3.32

Gets property | `Ide.Config:run-opts`

#### Return value

Returns: | `const gchar*`
| A string containing the run options or `NULL` if none have been set.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.